Subject: bug#12395: 24.2.50; `C-h f emacs-version' ignores doc string; gives no information

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Oct 2012 11:23:25 +0200

> From: Bastien <[email-masked]>
> Date: Sat, 20 Oct 2012 07:58:33 +0200
> Cc: [email-masked]
> 
> Hi Drew,
> 
> "Drew Adams" <[email-masked]> writes:
> 
> >> > > emacs -Q
> >> > > C-h f emacs-version
> >> > > Missing all information.  The doc string is ignored.
> >
> > ping.  Still true in the latest build:
> 
> I don't use MS Windows so I cannot reproduce this.

You don't need to be on Windows.  Just do

  cd lib-src && ./make-docfile -o DOC-test ../lisp/version.el

and you will see the bug.

I'm working on fixing it.